Foxit PDF SDK

Static Public Member Functions | List of all members
FoxitPDFSDKPython3.SplitPDFDoc Class Reference
Inheritance diagram for FoxitPDFSDKPython3.SplitPDFDoc:

## Static Public Member Functions
def | StartSplitByFileSize (max_file_size, setting_data, split_doc_array, split_callback)
| Start to split the PDF document into multiple PDF documents. More...

## Detailed Description

This class can be used to split a PDF document into multiple PDF documents.

See also
  PDFDoc

## Member Function Documentation

## ◆ StartSplitByFileSize()

FoxitPDFSDKPython3.SplitPDFDoc.StartSplitByFileSize | ( |  | max_file_size,
|  |  | setting_data,
|  |  | split_doc_array,
|  |  | split_callback
| ) |  |
| static

Start to split the PDF document into multiple PDF documents.

This function can be used to batch process multiple documents.
The specific information of the PDF documents after splitting will be returned in the callback function FoxitPDFSDKPython3.SplitPDFDocCallback.ResultNotify .

Parameters

  [in] | max_file_size | The maximum file size of the PDF document generated by splitting (unit is Megabytes). If the file size of the PDF document to be split is smaller than the value of this parameter, the PDF document cannot be split and status FoxitPDFSDKPython3.SplitFileResult.e_SplitFileErrSizeTooSmall will be returned. The lower limit of this parameter's value is 0.5 Megabytes.
  [in] | setting_data | Setting data used for splitting.
  [in] | split_doc_array | An array of PDF documents to be split. The size of this array should be greater than 0.
  [in] | split_callback | A SplitPDFDocCallback object which is implemented by user to pause and notify the splitting progress during the splitting process, as well as to notify the result of the split. This can be null which means not to pause and notify the splitting progress. If this is not null, it should be a valid SplitPDFDocCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython3.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython3.Progressive.Continue to continue the progress until the progress is finished.